# -*- coding: utf-8 -*-
## 
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""
$Id: Install.py 6252 2007-08-06 12:15:45Z glenfant $
"""
__docformat__ = 'restructuredtext'

__author__  = ''

# Python imports
from StringIO import StringIO

# CMF imports
from Products.CMFCore.utils import getToolByName


def uninstall(self):
    """See install above
    """
    out = StringIO()

    # Unset properties
    propsTool = getToolByName(self, 'portal_properties')
    siteProperties = getattr(propsTool, 'site_properties')
    typesUseViewActionInListings = siteProperties.getProperty('typesUseViewActionInListings', [])
    if typesUseViewActionInListings is not None:
        typesUseViewActionInListings = list(typesUseViewActionInListings)

    if 'PloneExFile' in typesUseViewActionInListings:
        typesUseViewActionInListings = [t for t in typesUseViewActionInListings if t != 'PloneExFile']
        siteProperties.manage_changeProperties(typesUseViewActionInListings=typesUseViewActionInListings)
        print >> out, "Removed 'PloneExFile' to portal_properties.typesUseViewActionInListings"
    
    print >> out, 'Uninstallation completed.'
    return out.getvalue()
