# -*- coding: utf-8 -*-

##
## Copyright (C) 2005-2007 Ingeniweb
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""
Misc import steps for GenericSetup (see profiles/default/import-steps.xml)
$Id$
"""
__docformat__ = 'restructuredtext'
__author__ = ''

# Python imports
from StringIO import StringIO

# CMF imports
from Products.CMFCore.utils import getToolByName

def setupPloneProperties(context):

    site = context.getSite()
    out = StringIO()

    # Set exfile not downloaded in listings
    propsTool = getToolByName(site, 'portal_properties')
    siteProperties = getattr(propsTool, 'site_properties')
    typesUseViewActionInListings = siteProperties.getProperty('typesUseViewActionInListings', [])
    if typesUseViewActionInListings is not None:
        typesUseViewActionInListings = list(typesUseViewActionInListings)

    if typesUseViewActionInListings and 'PloneExFile' not in typesUseViewActionInListings:
        typesUseViewActionInListings.append('PloneExFile')
        siteProperties.manage_changeProperties(
            typesUseViewActionInListings=typesUseViewActionInListings
            )
        print >> out, "Added 'PloneExFile' to portal_properties.typesUseViewActionInListings"

    # Add action icons
    return out.getvalue()
